//	TorusGamesFlickGestureRecognizer.h
//
//	© 2021 by Jeff Weeks
//	See TermsOfUse.txt

#import <UIKit/UIKit.h>

@interface TorusGamesFlickGestureRecognizer : UIGestureRecognizer

- (id)initWithTarget:(id)target action:(SEL)action;

- (NSTimeInterval)startTime;	//	in seconds
- (NSTimeInterval)duration;		//	in seconds
- (CGPoint)startPoint;			//	in [-0.5, +0.5] coordinates
- (CGPoint)displacement;		//	in [-0.5, +0.5] coordinates

- (void)reset;
- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event;
- (void)touchesMoved:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event;
- (void)touchesEnded:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event;
- (void)touchesCancelled:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event;

@end
